BSON_APPEND_TIME_T(3)

SYNOPSIS

            #define BSON_APPEND_TIME_T(b, key, val) \
               bson_append_time_t (b, key, (int) strlen (key), val)

            bool
            bson_append_time_t (bson_t *bson,
                                const char *key,
                                int key_length,
                                time_t value);

PARAMETERS

    •   bson: A bson_t <>.

    •   key: An ASCII C string containing the name of the field.

    •   key_length: The length of key in bytes, or -1 to determine the length with strlen().

    •   value: A time_t.

DESCRIPTION

The bson_append_time_t() <> function is a helper that takes a time_t instead of milliseconds since the UNIX epoch.

RETURNS

Returns true if the operation was applied successfully. The function will fail if appending the value grows bson larger than INT32_MAX.

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.